// Structures and defines for RFFTool

#define MSG_USAGE "Usage: RFFTool -[acdl] filename.rff [directory]\n(a=add, c=compress, d=decompress, l=list, -q=demoversion) With switches -c and -a you'll need to specify a directory name in which the files are."
#define MSG_NOFILES "No files in archive!"
#define MSG_OFFSET "Offset exceeds file size!"
#define MSG_NOTVALID "'%arg' is not a valid Refractor2 FinkelArchive 1.0 file."
#define MSG_OPEN "Could not open file '%arg'"
#define MSG_CREATE "Unable to create file '%arg'"
#define MSG_WRITE "Unable to write to file '%arg'"
#define MSG_EOF "Unexpected end of file!"
#define MSG_READ "Error reading file!"
#define MSG_TYPE "Unknown archive type in file '%arg'! Type must be 0, 1 or 2."
#define MSG_OPENDIR "Couldn't open directory '%arg'"
#define MSG_COMPRESS "Error compressing data. This shouldn't happen."
#define MSG_MEMORY "Out of memory!"
#define MSG_NOFILESFOUND "No files Found!"

struct RFF_subfile {
	unsigned long FileNameLength;
	char *FileName;
	unsigned long Size;
	unsigned long UncompressedSize;
	unsigned long DataOffset;
	unsigned long Type;
	char *CData;
	char *UData;
};